Module
Inhalte
Index 🔎︎

# Anweisung ThisComponent

Spricht die aktive Komponente an, um ihre Eigenschaften auszulesen und einzustellen. ThisComponent wird ausgehend vom Basic-Code des Dokuments verwendet und stellt das Dokument dar, zu dem der Basic-Code gehört. Welchen Objekttyp ThisComponent anspricht, hängt vom Dokumenttyp ab.

## Syntax:

    ThisComponent

## Beispiel:

    Sub Main

    ' Aktualisiert das "Inhaltsverzeichnis" in einem Textdokument

    Dim allindexes, index As Object

        allindexes = ThisComponent.getDocumentIndexes()

        index = allindexes.getByName("Inhaltsverzeichnis1")

        ' Verwendet Standardnamen für Inhaltsverzeichnis + 1

        index.update()

    End Sub